GDB (xrefs)

Functions
py-continueevent.c File Reference
`#include "defs.h"`
`#include "py-event.h"`
`#include "py-ref.h"`

Go to the source code of this file.

## Functions
static gdbpy_ref | create_continue_event_object (void)
int | emit_continue_event (ptid_t ptid)

## Function Documentation

## ◆ create_continue_event_object()

static gdbpy_ref create_continue_event_object | ( | void |  | ) |
| static

Definition at line 25 of file py-continueevent.c.

References create_thread_event_object().

Referenced by emit_continue_event().

## ◆ emit_continue_event()

int emit_continue_event | ( | ptid_t | ptid | ) |

Definition at line 35 of file py-continueevent.c.

References create_continue_event_object(), evpy_emit_event(), evregpy_no_listeners_p(), gdb_py_events, and gdb::ref_ptr< T, Policy >::get().

Referenced by python_on_resume().